#include <stdio.h>
#include <stdlib.h>

void main(int argc, char *argv[])
{
  const char *env = 0;
  int i;

  printf("Content-type: text/plain\n\n");

  printf("The command line arguments for this script are:\n");

  for(i=0;i<argc;i++)
    {
      printf("\t%s\n",argv[i]);
    }

  printf("The environmental variables available to the script include:\n\n");

  env = getenv("SERVER_SOFTWARE");
  printf("SERVER_SOFTWARE = %s\n",(env)?env:"");
  
  env = getenv("SERVER_NAME");
  printf("SERVER_NAME = %s\n",(env)?env:"");
  
  env = getenv("GATEWAY_INTERFACE");
  printf("GATEWAY_INTERFACE = %s\n",(env)?env:"");
  
  env = getenv("SERVER_PROTOCOL");
  printf("SERVER_PROTOCOL = %s\n",(env)?env:"");
  
  env = getenv("SERVER_PORT");
  printf("SERVER_PORT = %s\n",(env)?env:"");
  
  env = getenv("REQUEST_METHOD");
  printf("REQUEST_METHOD = %s\n",(env)?env:"");
  
  env = getenv("HTTP_ACCEPT");
  printf("HTTP_ACCEPT = %s\n",(env)?env:"");
  
  env = getenv("PATH_INFO");
  printf("PATH_INFO = %s\n",(env)?env:"");
  
  env = getenv("PATH_TRANSLATED");
  printf("PATH_TRANSLATED = %s\n",(env)?env:"");
  
  env = getenv("SCRIPT_NAME");
  printf("SCRIPT_NAME = %s\n",(env)?env:"");
  
  env = getenv("QUERY_STRING");
  printf("QUERY_STRING = %s\n",(env)?env:"");
  
  env = getenv("REMOTE_HOST");
  printf("REMOTE_HOST = %s\n",(env)?env:"");
  
  env = getenv("REMOTE_ADDR");
  printf("REMOTE_ADDR = %s\n",(env)?env:"");
  
  env = getenv("REMOTE_USER");
  printf("REMOTE_USER = %s\n",(env)?env:"");
  
  env = getenv("AUTH_TYPE");
  printf("AUTH_TYPE = %s\n",(env)?env:"");
  
  env = getenv("CONTENT_TYPE");
  printf("CONTENT_TYPE = %s\n",(env)?env:"");
  
  env = getenv("CONTENT_LENGTH");
  printf("CONTENT_LENGTH = %s\n",(env)?env:"");

  exit(0);
}
